package com.diagbot.enums.data;

import lombok.Setter;

public enum FamousFamilyEnum implements AKeyedNamed {
    CHUANQINGREN("59", "穿青人"),
    QITAZU("57", "其他族"),
    GELAOZU("37", "仡佬族"),
    SALAZU("35", "撒拉族"),
    QIANGZU("33", "羌族"),
    NAXIZU("27", "纳西族"),
    MANZU("11", "满族"),
    PUMIZU("40", "普米族"),
    NUZU("42", "怒族"),
    TATAZU("50", "塔塔族"),
    TUJIAZU("15", "土家族"),
    WAIGUOJI("58", "外国籍"),
    TUZU("30", "土族"),
    SHEZU("22", "畲族"),
    LISUZY("20", "傈僳族"),
    TAJIKE("41", "塔吉克"),
    SHUIZU("25", "水族"),
    KEZ("29", "柯尔克"),
    JINGZU("49", "京族"),
    LAHUZU("24", "拉祜族"),
    LUOBAZU("55", "珞巴族"),
    HEZHEZU("53", "赫哲族"),
    HASAKE("17", "哈萨克"),
    JINGPOZU("28", "景颇族"),
    JINUOZU("56", "基诺族"),
    MULAOZU("32", "仫佬族"),
    MENGGUZU("2", "蒙古族"),
    MIAOZU("6", "苗族"),
    MAONANZU("36", "毛难族"),
    LIZU("19", "黎族"),
    YIZU("7", "彝族"),
    MENBAZU("54", "门巴族"),
    HUIZU("3", "回族"),
    WEIWUER("5", "维吾尔"),
    CHAOXIANZU("10", "朝鲜族"),
    DULONGZU("51", "独龙族"),
    DAWOER("31", "达斡族"),
    BAIZU("14", "白族"),
    BULANGZU("34", "布朗族"),
    BENGLONGZU("46", "崩龙族"),
    BUYIZU("9", "布依族"),
    DONGXIANGZU("26", "东乡族"),
    EWENKE("45", "鄂温克"),
    GAOSHANZU("23", "高山族"),
    HANIZU("16", "哈尼族"),
    ELUOSI("44", "俄罗斯"),
    DONGZU("12", "侗族"),
    DAIZU("18", "傣族"),
    ELUNCHUN("52", "鄂伦春"),
    XIBOZU("38", "锡伯族"),
    WUZIBIE("43", "乌孜别"),
    WAZU("21", "佤族"),
    YUGUZU("48", "裕固族"),
    ZHUANGZU("8", "壮族"),
    ZANGZU("4", "藏族"),
    YAOZU("13", "瑶族"),
    ACANGZU("39", "阿昌族"),
    BAOANZU("47", "保安族"),
    HANZU("1", "汉族");

    @Setter
    private String key;

    @Setter
    private String name;

    FamousFamilyEnum(String key, String name) {
        this.key = key;
        this.name = name;
    }

    public static FamousFamilyEnum getEnum(String key) {
        for (FamousFamilyEnum item : FamousFamilyEnum.values()) {
            if (key.equals(item.getKey())) {
                return item;
            }
        }
        return null;
    }

    public static String getName(String key) {
        FamousFamilyEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public String getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
