package com.diagbot.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.dto.GetDefectDeptDTO;
import com.diagbot.dto.GetDefectModeDTO;
import com.diagbot.dto.GetMedDefectFeedbackPageDTO;
import com.diagbot.entity.MedDefectFeedback;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.GetDefectDeptModeVO;
import com.diagbot.vo.GetMedDefectFeedbackPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 缺陷反馈表 Mapper 接口
 * </p>
 *
 * @author songxl
 * @since 2022-04-21
 */
public interface MedDefectFeedbackMapper extends BaseMapper<MedDefectFeedback> {

    Page<GetMedDefectFeedbackPageDTO> getMedDefectFeedbackPage(@Param("getMedDefectFeedbackPageVO") GetMedDefectFeedbackPageVO getMedDefectFeedbackPageVO);

    List<GetDefectDeptDTO> getDefectDept(@Param("getDefectDeptModeVO") GetDefectDeptModeVO getDefectDeptModeVO);

    List<GetDefectModeDTO> getDefectMode(@Param("getDefectDeptModeVO") GetDefectDeptModeVO getDefectDeptModeVO);

}
