package com.diagbot.enums.data;

import lombok.Setter;

public enum NationalityEnum implements AKeyedNamed {
    MLXY("116", "马来西亚"),
    MSBJ("117", "莫桑比克"),
    XGLDNY("118", "新喀里多尼亚"),
    MLQS("113", "毛里求斯"),
    MEDF("114", "马尔代夫"),
    MXG("115", "墨西哥"),
    NRE("119", "尼日尔"),

    NW("123", "挪威"),
    NBE("124", "尼泊尔"),
    MDD("125", "毛德地"),
    NFKD("120", "诺福克岛"),
    NRLY("121", "尼日利亚"),
    HL("122", "荷兰"),
    MET("112", "马耳他"),
    MLG("102", "摩洛哥"),
    MNG("103", "摩纳哥"),
    MDJSJ("104", "马达加斯加"),
    LTE("99", "莱索托"),
    LSB("100", "卢森堡"),
    LBY("101", "利比亚"),
    ZTD("105", "中途岛"),
    MTNK("109", "马提尼克"),
    MLTNY("110", "毛里塔尼亚"),
    MTSLT("111", "蒙特塞拉特"),
    ML("106", "马里"),
    MG("107", "蒙古"),
    AOMEN("108", "澳门"),
    NL("126", "瑙鲁"),
    BLS("14", "比利时"),
    WLSHFTNQD("187", "瓦利斯和富图纳群岛"),
    MSWEJQD("204", "美属维尔京群岛"),
    BLZ("25", "伯利兹"),
    BL("138", "波兰"),
    MJL("13", "孟加拉"),
    FDQ("203", "梵蒂酋"),
    NMBY("199", "纳米比亚"),
    MLW("198", "马拉维"),
    GLL("197", "格陵兰"),
    TSNY("202", "坦桑尼亚"),
    DDW("201", "东帝汶"),
    NJLG("200", "尼加拉瓜"),
    BELS("24", "白俄罗斯"),
    AM("130", "阿曼"),
    BNM("131", "巴拿马"),
    TPYQD("132", "太平洋群岛"),
    ZJDD("127", "中间地带"),
    NAD("128", "纽埃岛"),
    XXL("129", "新西兰"),
    MILU("133", "秘鲁"),
    BJST("137", "巴基斯坦"),
    BD("21", "不丹"),
    BWD("23", "布维岛"),
    FSBLNXY("134", "法属波利尼西亚"),
    BBYXJNY("135", "巴布亚新几内亚"),
    FLB("136", "菲律宾"),
    YN("185", "越南"),
    WNRL("183", "委内瑞拉"),
    SWSTHGLNDS("182", "圣文森特和格林纳丁斯"),
    ADE("2", "安道尔"),
    ALBLHQZG("212", "阿拉伯联合酋长国"),
    WLAT("186", "瓦努阿图"),
    SLLA("158", "塞拉利昂"),
    JND("26", "加拿大"),
    YSWEJQD("184", "英属维尔京群岛"),
    LW("92", "老挝"),
    MD("22", "缅甸"),
    BN("17", "贝宁"),
    KMQD("91", "开曼群岛"),
    AFH("3", "阿富汗"),
    NWS("87", "圣基茨-尼维斯-安圭拉"),
    KML("86", "科摩罗"),
    JLBS("85", "基里巴斯"),
    KWT("90", "科威特"),
    NCX("89", "南朝鲜"),
    CX("88", "朝鲜"),
    JPZ("84", "柬埔寨"),
    YD("80", "约旦"),
    YMJ("79", "牙买加"),
    ATG("4", "安提瓜"),
    KNY("83", "肯尼亚"),
    YHSDD("82", "约翰斯顿岛"),
    RB("81", "日本"),
    NBN("93", "黎巴嫩"),
    ASEBY("47", "埃塞俄比亚"),
    XBY("46", "西班牙"),
    AJ("45", "埃及"),
    FG("51", "法国"),
    FL("50", "法罗"),
    FJ("48", "斐济"),
    EGDE("44", "厄瓜多尔"),
    SLLK("96", "斯里兰卡"),
    YSYDYLT("97", "英属印度洋领土"),
    LBLY("98", "利比里亚"),
    AEJLY("43", "阿尔及利亚"),
    SLXY("94", "圣卢西亚"),
    LZDTD("95", "列支敦土登"),
    JP("52", "加蓬"),
    GG("28", "刚果"),
    KKQD("27", "可可（基林）群岛"),
    YDL("78", "意大利"),
    ZL("31", "智利"),
    KUKEQUNDAO("30", "库克群岛"),
    RS("29", "瑞士"),
    BINGDAO("77", "冰岛"),
    JN("56", "加纳"),
    GLND("54", "格林纳达"),
    YG("53", "英国"),
    YL("76", "伊朗"),
    YLK("75", "伊拉克"),
    GBY("57", "冈比亚"),
    GSDNJ("34", "哥斯达黎加"),
    GLBY("33", "哥伦比亚"),
    AGL("7", "安哥拉"),
    FDJ("37", "佛得角"),
    GB("36", "古巴"),
    KDHEDBLQD("35", "坎顿和恩德贝里群岛"),
    NJZ("8", "南极洲"),
    ZBLT("218", "直布罗陀"),
    FKLQD("217", "福克兰群岛（马尔维纳斯）"),
    XCHL("216", "西撤哈拉"),
    AGT("9", "阿根廷"),
    MSSMY("10", "美属萨摩亚"),
    XL("219", "希腊"),
    SPLS("39", "塞浦路斯"),
    HD("68", "海地"),
    HDLS("67", "洪都拉斯"),
    XG("65", "香港"),
    AEL("72", "爱尔兰"),
    SWET("70", "上沃尔特"),
    XYL("69", "匈牙利"),
    GYN("64", "圭亚那"),
    GDLP("59", "瓜德罗普"),
    DM("41", "丹麦"),
    JBT("40", "吉布提"),
    JNYBS("63", "几内亚比绍"),
    GD("62", "关岛"),
    WDML("61", "危地马拉"),
    DMNJ("215", "多米尼加"),
    WGD("179", "乌干达"),
    SDMHPLXB("163", "圣多美和普林西比"),
    SDD("38", "圣诞岛"),
    SLMQD("151", "所罗门群岛"),
    ZD("169", "乍得"),
    TEQ("175", "土耳其"),
    DMNJGHG("42", "多米尼加共和国"),
    ELS("220", "俄罗斯"),
    HDD("66", "赫德岛"),
    YDNXY("71", "印度尼西亚"),
    FENLAN("49", "芬兰"),
    FSGYN("55", "法属圭亚那"),
    CDJNY("60", "赤道几内亚"),
    SSE("152", "塞舌尔"),
    XYHA("211", "象牙海岸"),
    ZF("210", "中非"),
    BCWN("209", "博茨瓦纳"),
    DG("214", "德国"),
    JKSLFK("213", "捷克斯洛伐克"),
    ZHONGGUO("1", "中国"),
    BHM("208", "巴哈马"),
    ADL("11", "奥地利"),
    JNY("58", "几内亚"),
    SD("153", "苏丹"),
    WL("207", "文莱"),
    BLD("206", "布隆迪"),
    BBDS("205", "巴巴多斯"),
    YSL("73", "以色列"),
    LNW("147", "留尼汪"),
    KNE("146", "卡诺尔"),
    BLG("145", "巴拉圭"),
    BMD("18", "百慕大"),
    BALIN("16", "巴林"),
    BJLY("15", "保加利亚"),
    GML("32", "喀麦隆"),
    BDNG("141", "波多黎各"),
    PTKED("140", "皮特凯恩岛"),
    SPAEHMKL("139", "圣皮埃尔和密克隆"),
    MSTPYQD("144", "美属太平洋群岛"),
    PTY("143", "葡萄牙"),
    BLST("142", "巴勒斯坦"),
    BLWY("19", "玻利维亚"),
    NF("193", "南非（阿札尼亚）"),
    NSLF("192", "南斯拉夫"),
    YM("191", "也门"),
    JBBW("196", "津巴布韦"),
    ZYE("195", "扎伊尔"),
    ZBY("194", "赞比亚"),
    MZYM("190", "民主也门"),
    LWD("149", "卢旺达"),
    LMLY("148", "罗马尼亚"),
    BX("20", "巴西"),
    XSMY("189", "西萨摩亚"),
    WKD("188", "威克岛"),
    STALB("150", "沙特阿拉伯"),
    WKL("178", "乌克兰"),
    TWL("177", "图瓦卢"),
    TLNDHDBG("176", "特立尼达和多哥巴"),
    SLN("162", "苏里南"),
    WLG("181", "乌拉圭"),
    MEIGUO("180", "美国"),
    TJ("174", "汤加"),
    DUOGE("170", "多哥"),
    TKSHKKSQD("168", "特克斯和凯科斯群岛"),
    YINGDU("74", "印度"),
    TNS("173", "突尼斯"),
    TKL("172", "托克劳"),
    TG("171", "泰国"),
    SL("164", "苏联"),
    SMLN("159", "圣马力诺"),
    SWBDQD("157", "斯瓦巴德群岛"),
    SHLN("156", "圣赫勒拿"),
    SNJE("160", "塞内加尔"),
    ADLY("12", "澳大利亚"),
    AEBNY("5", "阿尔巴尼亚"),
    HSADLS("6", "荷属安的列斯"),
    SWSL("167", "斯威士兰"),
    XLY("166", "叙利亚"),
    WEWD("165", "萨尔瓦多"),
    SML("161", "索马里"),
    XJP("155", "新加坡"),
    RD("154", "瑞典"),
    ASBJ("221", "阿塞拜疆"),
    ;

    @Setter
    private String key;

    @Setter
    private String name;

    NationalityEnum(String key, String name) {
        this.key = key;
        this.name = name;
    }

    public static NationalityEnum getEnum(String key) {
        for (NationalityEnum item : NationalityEnum.values()) {
            if (key.equals(item.getKey())) {
                return item;
            }
        }
        return null;
    }

    public static String getName(String key) {
        NationalityEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public String getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
