package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.NewsNoticePageDTO;
import com.diagbot.entity.MedNewsNotice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.NewsNoticePageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 消息通知表 Mapper 接口
 * </p>
 *
 * @author songxl
 * @since 2022-04-12
 */
public interface MedNewsNoticeMapper extends BaseMapper<MedNewsNotice> {

    IPage<NewsNoticePageDTO> newsNoticePage(@Param("newsNoticePageVO") NewsNoticePageVO newsNoticePageVO);
}
